Subject: Re: bug#70312: [PATCH v2] Avoid unnecessary escaping in url-build-query-string
From: Eli Zaretskii <[email-masked]>
To: Dagfinn Ilmari Mannsåker <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Apr 2024 13:10:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dagfinn Ilmari Mannsåker <[email-masked]>
> Date: Tue, 09 Apr 2024 17:41:07 +0100
> 
> I realised I'd forgotten to add tests, and that made me realise that
> url-query-allowed-chars is not correct for this, since that also
> contains '=', '&', and ';'. So here's an updated patch, which creates a
> new url-query-key-value-allowed-chars constant, which is
> url-query-allowed-chars minus the aforementioned three chars, and adds
> tests covering that, for both keys and values.

Thanks, I installed this on the master branch, and I'm closing this
bug.

With this contribution, you have exhausted the maximum amount of code
changes we can accept from you without a copyright assignment.  Would
you like to start your assignment paperwork now, so that we could
accept your future contributions without limitations?  If yes, I will
send you a form to fill and the instructions to go with it.